<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPoolPlugin\Form\Extension;

use Dedi\SyliusCustomerPoolPlugin\Form\Type\CustomerPoolChoiceType;
use Sylius\Bundle\ChannelBundle\Form\Type\ChannelType;
use Symfony\Component\Form\AbstractTypeExtension;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\Validator\Constraints\NotBlank;

final class ChannelTypeExtension extends AbstractTypeExtension
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('customerPool', CustomerPoolChoiceType::class, [
                'required' => true,
                'constraints' => [
                    new NotBlank(['groups' => ['sylius', 'default']]),
                ],
            ])
        ;
    }

    public static function getExtendedTypes(): iterable
    {
        return [ChannelType::class];
    }
}
